item list API

request url
http://okyuu.com/en/api/[item_type]/list?sort=[sort]&page=[page]&format=[format]&callback=[callback]
request parameters
parameter name description
item_type *required item type
tips : tips
news : news
question: questions
sort sort order
new : newest
rating : top rated
access : most viewed
clip : most clipped
comment : most commented
page page number
return a result by 5 sets at a time.
format *required return format
xml : xml
js : json
callback callback function
return results to the specified function in case of format == js
*request must be encoded URL in UTF-8
return parameters
parameter name description data type
has_error error occured?
0:not occured
1:occured
Integer
status status
200:OK
404:not found
500:system error occured
503:maintenance
Integer
size hit count Integer
last_page last page number Integer
list_par_page list par page Integer
current_page current page Integer
item *array item information
parameter name description data type
url item url String
data_type data type
1 : picked up item
2 : direct posted item
Integer
item_type item type
tips : tips
news : news
question: questions
String
is_open Can you update it?
0 : not available(the cases that a question was closed)
1 : available
Integer
title item title String
id item ID Integer
poster poster informations
parameter name description data type
name user name String
url user url String
Struct
created_at created at (UNIXTIME) Integer
comments_count comment count Integer
clips_count clip count Integer
access_count access count Integer
rates_count rating count Integer
rating rating Float
category category informations
parameter name description data type
name category name String
path category path String
url category url String
Struct
tag tag informations
parameter name description data type
name tag name String
url tag url String
Struct Array
Struct Array
sample
error
error code description
200status ok
404item is not found.
500system error occured
503in maintenance
example

<?xml version="1.0" encoding="UTF-8"?>
<OkyuuData>
<has_error>1</has_error>
<status>404</has_error>
</OkyuuData>

credit
all web sites and applications that present data from the okyuu.com must display the following credit
WEB Services by okyuu.com